## pg-hint-plan-13 1.3.10

=== Makefile ===
#
# pg_hint_plan: Makefile
#
# Copyright (c) 2012-2020, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#

MODULES = pg_hint_plan
HINTPLANVER = 1.3.10

REGRESS = init base_plan pg_hint_plan ut-init ut-A ut-S ut-J ut-L ut-G ut-R \
	ut-fdw ut-W ut-T ut-fini plpgsql hint_table oldextversions
REGRESS_OPTS = --encoding=UTF8

EXTENSION = pg_hint_plan
DATA = \
	pg_hint_plan--1.3.0.sql \
	pg_hint_plan--1.3.0--1.3.1.sql \
	pg_hint_plan--1.3.1--1.3.2.sql \
	pg_hint_plan--1.3.2--1.3.3.sql \
	pg_hint_plan--1.3.3--1.3.4.sql \
	pg_hint_plan--1.3.5--1.3.6.sql  \
	pg_hint_plan--1.3.4--1.3.5.sql \
	pg_hint_plan--1.3.6--1.3.7.sql \
	pg_hint_plan--1.3.7--1.3.8.sql \
	pg_hint_plan--1.3.8--1.3.9.sql \
	pg_hint_plan--1.3.9--1.3.10.sql

EXTRA_CLEAN = sql/ut-fdw.sql expected/ut-fdw.out RPMS

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

STARBALL13 = pg_hint_plan13-$(HINTPLANVER).tar.gz
STARBALLS = $(STARBALL13)

TARSOURCES = Makefile *.c  *.h COPYRIGHT* \
	pg_hint_plan--*.sql \
	pg_hint_plan.control \
	doc/* expected/*.out sql/*.sql sql/maskout.sh \
	data/data.csv input/*.source output/*.source SPECS/*.spec

ifneq ($(shell uname), SunOS)
LDFLAGS+=-Wl,--build-id
endif

rpms: rpm13

# pg_hint_plan.c includes core.c and make_join_rel.c
pg_hint_plan.o: core.c make_join_rel.c # pg_stat_statements.c

$(STARBALLS): $(TARSOURCES)
	if [ -h $(subst .tar.gz,,$@) ]; then rm $(subst .tar.gz,,$@); fi
	if [ -e $(subst .tar.gz,,$@) ]; then \
	  echo "$(subst .tar.gz,,$@) is not a symlink. Stop."; \
	  exit 1; \
	fi
	ln -s . $(subst .tar.gz,,$@)
	tar -chzf $@ $(addprefix $(subst .tar.gz,,$@)/, $^)
	rm $(subst .tar.gz,,$@)

rpm13: $(STARBALL13)
	MAKE_ROOT=`pwd` rpmbuild -bb SPECS/pg_hint_plan13.spec

=== debian/changelog ===
pg-hint-plan-13 (1.3.10-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 31 Aug 2024 13:29:01 +0200

pg-hint-plan-13 (1.3.10-1) unstable; urgency=medium

  * New upstream version 1.3.10.

 -- Christoph Berg <myon@debian.org>  Sat, 31 Aug 2024 13:29:01 +0200

pg-hint-plan-13 (1.3.9-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Apr 2024 10:20:10 +0200

=== debian/control ===
Source: pg-hint-plan-13
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 12),
 postgresql-all (>= 259~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/ossc-db/pg_hint_plan
Vcs-Browser: https://salsa.debian.org/postgresql/pg-hint-plan
Vcs-Git: https://salsa.debian.org/postgresql/pg-hint-plan.git -b 13

Package: postgresql-13-pg-hint-plan
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: support for optimizer hints in PostgreSQL
 PostgreSQL uses a cost-based optimizer that uses data statistics, not static
 rules. The planner (optimizer) estimates costs of each possible execution
 plans for a SQL statement, then executes the plan with the lowest cost. The
 planner does its best to select the best execution plan, but it is far from
 perfect, since it may not count some data properties, like correlation between
 columns.
 .
 pg_hint_plan makes it possible to tweak PostgreSQL execution plans using
 so-called "hints" in SQL comments, like /*+ SeqScan(a) */.

=== debian/rules ===
#!/usr/bin/make -f

export PG_SUPPORTED_VERSIONS=13
export PG_VIRTUALENV_ARGS=-oshared_preload_libraries=pg_stat_statements

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all doc/*
